you need to disable compatibility for this old extension to work Rated 5 out of 5 stars

https://addons.mozilla.org/en-US/firefox/addon/checkcompatibility/

This user has 3 previous reviews of this add-on.